summaryrefslogtreecommitdiffstats
path: root/arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board
diff options
context:
space:
mode:
Diffstat (limited to 'arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board')
-rw-r--r--arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board37
1 files changed, 37 insertions, 0 deletions
diff --git a/arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board b/arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board
new file mode 100644
index 0000000000..f1b476d54a
--- /dev/null
+++ b/arch/arm/boards/at91sam9260ek/defaultenv-at91sam9260ek/bin/init_board
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+button_name="dfu_bp"
+button_wait=5
+
+dfu_config="/dev/nand0.barebox.bb(barebox)sr,/dev/nand0.kernel.bb(kernel)r,/dev/nand0.rootfs.bb(rootfs)r"
+
+if [ $at91_udc0.vbus != 1 ]; then
+ echo "No USB Device cable plugged, normal boot"
+ exit
+fi
+
+gpio_get_value ${dfu_button}
+if [ $? = 0 ]; then
+ echo "${button_name} pressed detected wait ${button_wait}s"
+ timeout -s -a ${button_wait}
+
+ if [ $at91_udc0.vbus != 1 ]; then
+ echo "No USB Device cable plugged, normal boot"
+ exit
+ fi
+
+ gpio_get_value ${dfu_button}
+ if [ $? = 0 ]; then
+ echo ""
+ echo "Start DFU Mode"
+ echo ""
+ led ds5 1
+ dfu ${dfu_config}
+ exit
+ fi
+ echo "${button_name} released, normal boot"
+fi
+
+autoboot_timeout=16
+echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
+usbserial